com.io7m.r2.core.shaders.provided

## Class R2RefractionMaskedDeltaParameters.Builder

- java.lang.Object
- - com.io7m.r2.core.shaders.provided.R2RefractionMaskedDeltaParameters.Builder

- Enclosing class:
    R2RefractionMaskedDeltaParameters

      public static final class R2RefractionMaskedDeltaParameters.Builder
      extends Object

  Builds instances of type `R2RefractionMaskedDeltaParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2RefractionMaskedDeltaParameters` | `build()` Builds a new `R2RefractionMaskedDeltaParameters`.
    `R2RefractionMaskedDeltaParameters.Builder` | `from(R2RefractionMaskedDeltaParametersType instance)` Fill a builder with attribute values from the provided `R2RefractionMaskedDeltaParametersType` instance.
    `R2RefractionMaskedDeltaParameters.Builder` | `setColor(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceRGBType> color)` Initializes the value for the `color` attribute.
    `R2RefractionMaskedDeltaParameters.Builder` | `setDeltaTexture(R2Texture2DUsableType deltaTexture)` Initializes the value for the `deltaTexture` attribute.
    `R2RefractionMaskedDeltaParameters.Builder` | `setMaskTexture(R2Texture2DUsableType maskTexture)` Initializes the value for the `maskTexture` attribute.
    `R2RefractionMaskedDeltaParameters.Builder` | `setScale(float scale)` Initializes the value for the `scale` attribute.
    `R2RefractionMaskedDeltaParameters.Builder` | `setSceneTexture(R2Texture2DUsableType sceneTexture)` Initializes the value for the `sceneTexture` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2RefractionMaskedDeltaParameters.Builder from(R2RefractionMaskedDeltaParametersType instance)

      Fill a builder with attribute values from the provided `R2RefractionMaskedDeltaParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setScale

          public final R2RefractionMaskedDeltaParameters.Builder setScale(float scale)

      Initializes the value for the `scale` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `scale`.

      Parameters:
        `scale` - The value for scale
      Returns:
        `this` builder for use in a chained invocation

    - #### setColor

          public final R2RefractionMaskedDeltaParameters.Builder setColor(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceRGBType> color)

      Initializes the value for the `color` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `color`.

      Parameters:
        `color` - The value for color
      Returns:
        `this` builder for use in a chained invocation

    - #### setSceneTexture

          public final R2RefractionMaskedDeltaParameters.Builder setSceneTexture(R2Texture2DUsableType sceneTexture)

      Initializes the value for the `sceneTexture` attribute.
      Parameters:
        `sceneTexture` - The value for sceneTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaskTexture

          public final R2RefractionMaskedDeltaParameters.Builder setMaskTexture(R2Texture2DUsableType maskTexture)

      Initializes the value for the `maskTexture` attribute.
      Parameters:
        `maskTexture` - The value for maskTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setDeltaTexture

          public final R2RefractionMaskedDeltaParameters.Builder setDeltaTexture(R2Texture2DUsableType deltaTexture)

      Initializes the value for the `deltaTexture` attribute.
      Parameters:
        `deltaTexture` - The value for deltaTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2RefractionMaskedDeltaParameters build()

      Builds a new `R2RefractionMaskedDeltaParameters`.
      Returns:
        An immutable instance of R2RefractionMaskedDeltaParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com